Skip to main content
Back to API List Use the LLM Integration API to enable, update, and delete LLM Integrations for an app. You can configure System LLMs (Azure OpenAI, OpenAI, Anthropic, Amazon Bedrock, and Google Gemini), Custom LLMs, and Kore.ai XO GPT integrations through the API. The API supports:
  • System LLM integrations: OpenAI, Azure OpenAI, Anthropic, Gemini, Amazon Bedrock, and Kore.ai XO GPT.
  • Custom LLM integrations.
  • Token usage limits and usage notifications.
  • Partial updates for existing integrations.
  • Deletion of configured integrations.

Path Parameters

Body Parameters

For PUT, use the following parameters to configure or update an LLM Integration. For DELETE, use the following parameters to delete an LLM Integration configuration.

Sample Request for PUT

  • In dynamicConfig, name, and description shouldn’t be passed for system models.
  • To edit the name of an existing multi-instance integration (OpenAI, Azure OpenAI, Bedrock, Custom LLMs), pass the previous name as previousName, and the latest name as integrationName.

Sample Request for DELETE

  • Only integrationId is required for korexo, gemini, and anthropic integrations.

Enabling Token Usage

  • Use the following sample token usage payload to enable token usage.
  • If you don’t want to enable token usage, use the following payload.

Request Body Examples

OpenAI
  • Use openai as the integrationId.
  • In OpenAI, dynamicModelConfig is only for custom models.
  • To enable custom models in OpenAI, the following fields are mandatory for first-time creation: type, name, modelId, desc.
  • To edit the existing integration name, you need to pass previousName.
Azure OpenAI
  • Use azure as the integrationId.
  • To enable system and custom models in Azure OpenAI, use dynamicModelConfig.
  • dynamicModelConfig is mandatory when enabling Azure OpenAI for the first time.
  • You can save the config only when at least one of the models is enabled (toggle: true).
  • In the payload, the tenant is a subdomain.
  • To enable custom models in Azure OpenAI, the following fields are mandatory for first-time creation: type, name, modelId, desc, toggle, deploymentId.
  • To enable system models in Azure OpenAI, the following fields are mandatory for first-time creation: type, modelId, toggle, deploymentId.
  • The following are the supported system model IDs for Azure OpenAI integration:
    • GPT-3.5 Turbo
    • GPT-4
    • GPT-4-32K
    • GPT-4 Turbo
    • GPT-4o
    • GPT-4o-mini
    • GPT-5.4
    • GPT-5-mini
    • GPT-5.1
    • GPT-5.2
    • GPT-5.4 Mini
    • GPT-5.4 Nano
Anthropic
  • Use anthropic as the integrationId.
  • No need to pass integrationName for Anthropic integration.
  • To enable system and custom models in Anthropic, use dynamicModelConfig.
  • dynamicModelConfig is mandatory when enabling Anthropic for the first time.
  • To enable custom models in Anthropic, the following fields are mandatory for first-time creation: type, name, modelId, desc, toggle.
  • To enable system models in Anthropic, the following fields are mandatory for first-time creation: type, modelId, toggle.
  • The following are the supported system model IDs for Anthropic integration:
    • Claude Haiku 4.5
    • Claude Opus 4.6
    • Claude Sonnet 4.5
    • Claude Sonnet 4.6
Google Gemini
  • Use gemini as the integrationId.
  • No need to pass integrationName for Gemini integration.
  • To enable system and custom models in Gemini, use dynamicModelConfig.
  • dynamicModelConfig is mandatory when enabling Gemini for the first time.
  • To enable custom models in Gemini, the following fields are mandatory for first-time creation: type, name, modelId, desc, toggle.
  • To enable system models in Gemini, the following fields are mandatory for first-time creation: type, modelId, toggle.
  • The following are the supported system model IDs for Gemini integration:
    • Gemini 2.5 Flash
    • Gemini 2.5 Flash-Lite
    • Gemini 2.5 Pro
    • Gemini 3 Flash Preview
    • Gemini 3.1 Pro Preview
Amazon Bedrock
  • Use amazon_bedrock as the integrationId.
  • For Amazon Bedrock, provide the model configuration in the request payload to validate the model.
  • Use isTestCall to validate the Bedrock model configuration.
Custom LLM
  • Use custom_llm as the integrationId.
  • For Custom LLMs, provide the model configuration in the request payload to validate the model.
Sample response to isTestCall for Bedrock and custom LLMs
Kore.ai XO GPT
  • Use korexo as the integrationId.
  • Use the following flags to enable the respective models:
    • textrephrase – Text Rephrasing
    • conversationsummary – Summarizing Conversation
    • aa_conversationsummary – Summarizing AgentAI Conversation
    • vectorGeneration – Embeddings
    • dialogGPT – DialogGPT
    • answerGeneration – Answer Generation

Sample Response for PUT

Sample Response for DELETE